# Terms of Service for Hush Line

**Last Updated: March 10, 2024**

## Welcome to Hush Line 🤫

We're delighted you've chosen Hush Line for your secure communication needs. Hush Line, provided by Science & Design, Inc., is committed to protecting your privacy and data. Please carefully review these Terms of Service (“Terms”) as they govern your use of our services provided via [hushline.app](https://hushline.app). By accessing or using Hush Line, you accept and agree to be bound by these Terms. If you disagree with any part of the Terms, please refrain from using our services.

## 1. Use of Our Service

Hush Line offers secure messaging solutions, intended to safeguard your communication. When using our services, you agree to:

- Adhere to these Terms and Conditions.
- Regularly check for updates to these Terms, as they may change over time. Updates will be communicated through our website or via email.

Please note, we may update these Terms without prior notice, but we will make an effort to inform you of significant changes.

## 2. Privacy

Your privacy is paramount. Our Privacy Policy outlines how we handle your personal information. Key points include:

- Types of information we collect.
- How we use and protect your information.
- Your privacy rights.

Read our full Privacy Policy [here](https://github.com/scidsg/hushline/blob/main/privacy-policy.md).

## 3. User Conduct

By using Hush Line, you commit not to:

- Post or transmit harmful, illegal, or offensive material.
- Engage in activities that harm minors.
- Impersonate others or misrepresent your affiliation.
- Manipulate identifiers to hide content origins, except when using privacy-enhancing technologies like Tor for legitimate reasons.

We support privacy-enhancing technologies when used responsibly.

## 4. Intellectual Property Rights

Unless otherwise stated, all content and materials on Hush Line are the exclusive property of Science & Design, Inc. You may:

- Access and use Hush Line content in line with these Terms.
- Not use, modify, or distribute our materials without our consent, except as allowed by the AGPL 3.0 license, detailed [here](https://www.gnu.org/licenses/agpl-3.0.html).

## 5. Termination

We may terminate or suspend your access to our service immediately, without prior notice or liability, for any reason whatsoever, including, without limitation, if you breach the Terms of Service.

## 6. Limitation of Liability

In no event shall Science & Design, Inc., nor its directors, employees, partners, agents, suppliers, or affiliates, be liable for any indirect, incidental, special, consequential, or punitive damages, including, without limitation, loss of profits, data, use, goodwill, or other intangible losses, resulting from your access to or use of or inability to access or use the service.

## 7. Governing Law

These Terms are governed by the laws of the United States, excluding its conflicts of law rules.

## 8. Changes to These Terms

We may update these Terms as our service evolves. Material changes will be communicated to you at least 30 days before they take effect. Please review this page periodically to stay informed.

## 9. Contact Us

If you have any questions or concerns about these Terms or our services, please contact us at hello@scidsg.org or on [Signal](https://signal.me/#eu/MxYFNAnB4INHPGTN7RsSCHf5QtGa4ImEiSmRAoaLzdu3oy+esgVOVrDkg/IIjshQ).

By using Hush Line, you acknowledge that you have read, understood, and agreed to be bound by these Terms of Service.
