"""add AuthenticationLog

Revision ID: ff59dfd3bdf6
Revises: 691dba936e64
Create Date: 2024-06-21 10:24:59.976327

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "ff59dfd3bdf6"
down_revision = "691dba936e64"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "authentication_logs",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=False),
        sa.Column("successful", sa.Boolean(), nullable=False),
        sa.Column("timestamp", sa.DateTime(), nullable=False),
        sa.Column("otp_code", sa.String(length=6), nullable=True),
        sa.ForeignKeyConstraint(
            ["user_id"],
            ["users.id"],
        ),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###

    # Create an index on user_id, timestamp, successful
    op.create_index(
        "idx_authentication_logs_user_id_timestamp_successful",
        "authentication_logs",
        ["user_id", "timestamp", "successful"],
    )


def downgrade():
    # Drop the index
    op.drop_index(
        "idx_authentication_logs_user_id_timestamp_successful",
        table_name="authentication_logs",
    )

    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("authentication_logs")
    # ### end Alembic commands ###
